import request from '@/utils/request'

// 短信模板列表
export const templateList = (params: Record<string, any> = {}) => {
  return request.get({ url: '/message.smsTemplate/list', params })
}

// 短信模板详情
export const templateDetail = (params: Record<string, any>) => {
  return request.get({ url: '/message.smsTemplate/detail', params })
}

// 新增短信模板
export const templateCreate = (params: Record<string, any>) => {
  return request.post({ url: '/message.smsTemplate/create', params })
}

// 更新短信模板
export const templateUpdate = (params: Record<string, any>) => {
  return request.post({ url: '/message.smsTemplate/update', params })
}

// 删除短信模板
export const templateDelete = (params: Record<string, any>) => {
  return request.post({ url: '/message.smsTemplate/delete', params })
}
